'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const toast = require('@zag-js/toast');
const vue$1 = require('@zag-js/vue');
const useEnvironmentContext = require('../../providers/environment/use-environment-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useToastContext = require('./use-toast-context.cjs');

function _interopNamespaceDefault(e) {
  const n = Object.create(null, { [Symbol.toStringTag]: { value: 'Module' } });
  if (e) {
    for (const k in e) {
      if (k !== 'default') {
        const d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: () => e[k]
        });
      }
    }
  }
  n.default = e;
  return Object.freeze(n);
}

const toast__namespace = /*#__PURE__*/_interopNamespaceDefault(toast);

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "toaster-item",
  props: {
    value: {},
    index: {},
    parent: {}
  },
  setup(__props) {
    const props = __props;
    const env = useEnvironmentContext.useEnvironmentContext(useEnvironmentContext.DEFAULT_ENVIRONMENT);
    const machineProps = vue.computed(() => ({
      ...props.value,
      index: props.index,
      parent: props.parent,
      getRootNode: env?.value.getRootNode
    }));
    const service = vue$1.useMachine(toast__namespace.machine, machineProps);
    const api = vue.computed(() => toast__namespace.connect(service, vue$1.normalizeProps));
    useToastContext.ToastProvider(api);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default", vue.normalizeProps(vue.guardReactiveProps(props.value)));
    };
  }
});

exports.default = _sfc_main;
