import { defineComponent, renderSlot, unref } from 'vue';
import { useTreeViewNodeContext } from './use-tree-view-node-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tree-view-node-checkbox-indicator",
  props: {
    indeterminate: {},
    fallback: {}
  },
  setup(__props) {
    const nodeState = useTreeViewNodeContext();
    return (_ctx, _cache) => {
      return unref(nodeState).checked === "indeterminate" ? renderSlot(_ctx.$slots, "indeterminate", { key: 0 }) : unref(nodeState).checked === true ? renderSlot(_ctx.$slots, "default", { key: 1 }) : renderSlot(_ctx.$slots, "fallback", { key: 2 });
    };
  }
});

export { _sfc_main as default };
